#pragma once
#include "Entity.h"
//Tala的下半身攻击区
class CS_Boss_Tala_AtkZone :
    public Entity
{
public:
    CS_Boss_Tala_AtkZone(std::shared_ptr<Entity> parent);
    void Step() override;
    std::weak_ptr<Entity> BeginCaught(std::weak_ptr<Entity> e) override;//开始被某单位抓取（切换到被抓取状态）
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
};

